<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:27 CEST 2019 -->
<title>WireServiceConnection (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WireServiceConnection (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/WireServiceConnection.html" target="_top">Frames</a></li>
<li><a href="WireServiceConnection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractConnection">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire</div>
<h2 title="Class WireServiceConnection" class="title">Class WireServiceConnection</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractConnection</a>&lt;T,C&gt;</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">org.firebirdsql.gds.ng.wire.WireConnection</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireService</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.WireServiceConnection</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">WireServiceConnection</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireConnection</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireService</a>&gt;</pre>
<div class="block">Wire connection instance for connecting to a service.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractConnection">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#attachProperties">attachProperties</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html#WireServiceConnection-org.firebirdsql.gds.ng.IServiceProperties-">WireServiceConnection</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&nbsp;serviceProperties)</code>
<div class="block">Creates a WireServiceConnection (without establishing a connection to the  server) with the default
 protocol collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html#WireServiceConnection-org.firebirdsql.gds.ng.IServiceProperties-org.firebirdsql.encodings.IEncodingFactory-org.firebirdsql.gds.ng.wire.ProtocolCollection-">WireServiceConnection</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&nbsp;serviceProperties,
                     <a href="../../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;encodingFactory,
                     <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire">ProtocolCollection</a>&nbsp;protocols)</code>
<div class="block">Creates a WireServiceConnection (without establishing a connection to the server).</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireService</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html#createConnectionHandle-org.firebirdsql.gds.ng.wire.ProtocolDescriptor-">createConnectionHandle</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&nbsp;protocolDescriptor)</code>
<div class="block">Creates the connection handle for this type of connection.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.WireConnection">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireConnection</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#clearAuthData--">clearAuthData</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#close--">close</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#finalize--">finalize</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#getClientAuthBlock--">getClientAuthBlock</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#getProtocolArchitecture--">getProtocolArchitecture</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#getProtocolMinimumType--">getProtocolMinimumType</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#getProtocolVersion--">getProtocolVersion</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#getXdrStreamAccess--">getXdrStreamAccess</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#identify--">identify</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#isConnected--">isConnected</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#readNextOperation--">readNextOperation</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#resetSocketTimeout--">resetSocketTimeout</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#setSoTimeout-int-">setSoTimeout</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#socketConnect--">socketConnect</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#writeDirect-byte:A-">writeDirect</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractConnection">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getAttachObjectName--">getAttachObjectName</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getAttachProperties--">getAttachProperties</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getEncoding--">getEncoding</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getEncodingDefinition--">getEncodingDefinition</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getEncodingFactory--">getEncodingFactory</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getPortNumber--">getPortNumber</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html#getServerName--">getServerName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="WireServiceConnection-org.firebirdsql.gds.ng.IServiceProperties-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WireServiceConnection</h4>
<pre>public&nbsp;WireServiceConnection(<a href="../../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&nbsp;serviceProperties)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Creates a WireServiceConnection (without establishing a connection to the  server) with the default
 protocol collection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serviceProperties</code> - Service properties</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="WireServiceConnection-org.firebirdsql.gds.ng.IServiceProperties-org.firebirdsql.encodings.IEncodingFactory-org.firebirdsql.gds.ng.wire.ProtocolCollection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WireServiceConnection</h4>
<pre>public&nbsp;WireServiceConnection(<a href="../../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>&nbsp;serviceProperties,
                             <a href="../../../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;encodingFactory,
                             <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire">ProtocolCollection</a>&nbsp;protocols)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Creates a WireServiceConnection (without establishing a connection to the server).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serviceProperties</code> - Service properties</dd>
<dd><code>encodingFactory</code> - Factory for encoding definitions</dd>
<dd><code>protocols</code> - The collection of protocols to use for this connection.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createConnectionHandle-org.firebirdsql.gds.ng.wire.ProtocolDescriptor-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createConnectionHandle</h4>
<pre>protected&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireService</a>&nbsp;createConnectionHandle(<a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a>&nbsp;protocolDescriptor)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#createConnectionHandle-org.firebirdsql.gds.ng.wire.ProtocolDescriptor-">WireConnection</a></code></span></div>
<div class="block">Creates the connection handle for this type of connection.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html#createConnectionHandle-org.firebirdsql.gds.ng.wire.ProtocolDescriptor-">createConnectionHandle</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireConnection</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireService</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>protocolDescriptor</code> - The protocol descriptor selected by the identify phase</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Connection handle</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/WireServiceConnection.html" target="_top">Frames</a></li>
<li><a href="WireServiceConnection.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractConnection">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
